Ruby: Data Fields - Variables

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - t -

- t : BigStruct, cparse_params, ruby::rbimpl_alignof< T >::type
- table : force_finalize_list, rb_iseq_constant_body
- tag : rb_execution_context_struct, rb_vm_tag
- tailcall_optimization : rb_compile_option_struct
- taken_basket : rb_ractor_sync::ractor_wait
- taking_ractors : rb_ractor_sync
- target : AnchorNode, CallNode, EncloseNode, join_arg, QtfrNode, UnsetAddr
- target_empty_info : QtfrNode
- target_enc : OnigCompileInfo
- target_line : rb_event_hook_struct, trace_set_local_events_struct
- target_th : rb_tp_struct
- tbl : clone_const_arg, foreach_safe_arg, local_var_list, rehash_arg, RNode, vtable, YYSTYPE
- tc : rb_econv_elem_t
- tcrc : log
- term : rb_strterm_literal_struct
- terminate_cond : rb_vm_struct
- terminate_waiting : rb_vm_struct
- text : gz_header_s
- th : copy_stream_struct, io_internal_read_struct, rb_event_hook_struct, select_set, sync_waiter, waiting_fd
- thgroup : rb_thread_struct
- thgroup_default : rb_ractor_struct
- thread : autoload_state, rb_waiting_list
- thread_abort_on_exception : rb_vm_struct
- thread_id : rb_thread_struct
- thread_ignore_deadlock : rb_vm_struct
- thread_machine_stack_size : rb_vm_struct
- thread_ptr : rb_execution_context_struct
- thread_report_on_exception : rb_vm_struct
- thread_vm_stack_size : rb_vm_struct
- threads : rb_ractor_struct
- threshold_len : re_pattern_buffer
- throw_data : RVALUE
- throw_obj : vm_throw_data
- throw_state : vm_throw_data
- tied_io_for_writing : rb_io_t
- time : attr_item, gz_header_s
- timeout : join_arg, select_args, select_set, sleep_call, wait_for_cond_data
- timer : rb_global_vm_lock_struct
- timer_err : rb_global_vm_lock_struct
- tlen : log
- tm_hour : tm_unz_s, tm_zip_s
- tm_mday : tm_unz_s, tm_zip_s
- tm_min : tm_unz_s, tm_zip_s
- tm_mon : tm_unz_s, tm_zip_s
- tm_sec : tm_unz_s, tm_zip_s
- tm_year : tm_unz_s, tm_zip_s
- tms_cstime : tms
- tms_cutime : tms
- tms_stime : tms
- tms_utime : tms
- tmu_date : unz_file_info64_s, unz_file_info_s
- tmz_date : zip_fileinfo
- to : OnigPairCaseFoldCodes, rsock_send_arg
- to_kill : rb_thread_struct
- toc : aix_fd_struct
- token : token_info
- token_info : parser_params
- token_info_enabled : parser_params
- token_seen : parser_params
- token_table : cparse_params
- tokenbuf : parser_params
- tokidx : parser_params
- tokline : parser_params
- toksiz : parser_params
- tolen : rsock_send_arg
- tomb_heap : rb_objspace
- top : malloc_state
- top_self : eval_string_wrap_arg, rb_thread_struct, rb_vm_struct
- top_wrapper : rb_thread_struct
- topsize : malloc_state
- total : copy_stream_struct, inflate_state, outd, total_data
- total_allocated_objects : rb_objspace
- total_allocated_objects_at_gc_start : rb_objspace
- total_allocated_pages : rb_objspace
- total_freed_objects : rb_objspace
- total_freed_pages : rb_objspace
- total_in : z_stream_s
- total_moved : rb_objspace
- total_out : z_stream_s
- total_out_64 : file_in_zip64_read_info_s
- total_pages : rb_heap_struct
- total_slots : heap_page, rb_heap_struct
- totalCompressedData : curfile64_info
- totalUncompressedData : curfile64_info
- tpval : trace_clear_local_events_struct, trace_set_local_events_struct
- trace : rb_global_variable, trace_data
- trace_arg : rb_execution_context_struct
- trace_encoded_insn : insn_data_struct
- tracing : rb_tp_struct
- trans : transform_keys_args
- transcoder : rb_transcoding, transcoder_entry_t
- trap_list : rb_vm_struct
- treebins : malloc_state
- treemap : malloc_state
- trim_check : malloc_state
- trim_threshold : malloc_params
- tsp : utime_args
- tstack : cparse_params
- tt : BigStruct
- turnon_events : trace_set_local_events_struct
- tv : select_args
- tv_nsec : timespec
- tv_sec : timespec, timeval
- tv_usec : timeval
- type : _OnigStackType, AnchorNode, dump_config, enc_synmane_type_leading_chars_tag, EncloseNode, glob_pattern, ibf_object_header, inetsock_arg, iseq_catch_table_entry, iseq_link_element, loaded_feature_searching, NodeBase, OnigToken, rb_backtrace_location_struct, rb_block, rb_context_struct, rb_iseq_constant_body, rb_ractor_basket, rb_ractor_local_key_struct, RTypedData, st_table, thread_create_params, tmp_dh_callback_args
- typed_flag : RTypedData
- typeddata : RVALUE
- typeflag : tar_header
- tz_dsttime : timezone
- tz_minuteswest : timezone